Subject: Re: bug#16830: [Bug] 24.3.50; massive slow down in forward-line

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Feb 2014 13:36:17 +0200

> Date: Sat, 22 Feb 2014 13:29:48 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > emacs 24.3.50.1    2.083 sec (cache-long-scans nil, set by file-find-hook)
> > emacs 24.3.1       0.758 sec (cache-long-line-scan nil; as it was)
> > 
> > So it is better, but not so good as in the old emacs.
> 
> I see no difference in the code that could justify this, and on my
> system "C-c C-c" in both versions completes in the same time after
> disabling the caching, certainly much faster than 2 sec.  So I don't
> see how such a 2.5 factor could be explained, except perhaps by some
> additional local customizations on your system (I tested in "emacs -Q").

Actually, I _can_ think of one possible reason for this difference:
compiler optimizations.  If the 24.3.50.1 binary was compiled without
optimizations, it can definitely be about 2 times slower than an
optimized build of 24.3.1.  What is the value of system-configuration
and system-configuration-options in both builds?